{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des utilisateurs de l'application " %}

{% block pageActions %}
    {{ macro.addButton('app_user_add', 'Ajout', 'text-left') }}

    <br>

    <div class="row col-md-12">
        {{ macro.btnReloadPasswordMultipleWithModal(
            'btn_reloadpassword',
            'Réinitialisation des mots de passe utilisateurs',
            'app_user_reload_password',
            'Voulez-vous vraiment réinitialiser les mots de passe des utilisateurs sélectionné ?',
            users.currentPageNumber
        ) }}

        {{ macro.btnActivatedMultipleWithModal(
            'btn_activatedmultiple',
            'Activé plusieurs utilisateurs',
            'app_user_toggle',
            'Voulez-vous vraiment activé ces utilisateurs ?',
            users.currentPageNumber
        ) }}

        {{ macro.btnDeactivatedMultipleWithModal(
            'btn_deactivatedmultiple',
            'Désactivé plusieurs utilisateurs',
            'app_user_toggle',
            'Voulez-vous vraiment désactivé ces utilisateurs ?',
            users.currentPageNumber
        ) }}

        {{ macro.btnDeleteMultipleWithModal(
            'btn_deletemultiple',
            'Suppression de plusieurs utilisateur',
            'app_user_delete_multiple',
            'Voulez-vous vraiment supprimer ces utilisateurs ?',
            users.currentPageNumber
        ) }}
    </div>
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Etat</th>
                <th scope="col">Utilisateur</th>
                <th scope="col">{{ knp_pagination_sortable(users, 'Identifiant', 'u.username') }}</th>
                <th scope="col">DPO</th>
                <th scope="col">Entité</th>
                <th scope="col">Profil</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for user in users %}
                <tr>
                    <th>
                        {% if (app.user != user) %}
                            {% if (user.isActive == false) %}
                                {% set delete = 'true' %}

                                {% set activeruser = 'true' %}
                                {% set desactiveruser = 'false' %}

                                {% set reloadpassword = 'false' %}
                            {% else %}
                                {% set delete = 'false' %}

                                {% set activeruser = 'false' %}
                                {% set desactiveruser = 'true' %}

                                {% set reloadpassword = 'true' %}
                            {% endif %}

                            <input id='checkbox-{{ user.id }}' type="checkbox"
                                   class="js-checkbox allCheckbox" value="{{ user.id }}" data-deletemultiple="{{ delete }}"
                                   data-activatedmultiple="{{ activeruser }}"
                                   data-deactivatedmultiple="{{ desactiveruser }}"
                                   data-reloadpassword="{{ reloadpassword }}">
                        {% endif %}
                    </th>
                    <th>
                        {% if (app.user != user) %}
                            {{ macro.toggleButton(
                                'app_user_toggle',
                                user.id,
                                user.isActive,
                                users.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                    <th>
                        {{ user.nomcomplet }}
                    </th>
                    <th>
                        {{ user.username }}
                    </th>
                    <th></th>
                    <th>
                        {% for organisationUserRole in user.organisationUserRoles %}
                            <li>
                                {{ organisationUserRole.organisation.raisonsociale }}
                            </li>
                        {% endfor %}
                    </th>
                    <th>
                        {% for organisationUserRole in user.organisationUserRoles %}
                            <li>
                                {{ organisationUserRole.role.name }}
                            </li>
                        {% endfor %}
                    </th>
                    <th>
                        {% if (user.isActive == true) %}
                            {{ macro.btnReloadPasswordWithModal(
                                user.id,
                                'Réinitialisation du mot de passe de l\'utilisateur',
                                'app_user_reload_password',
                                'Voulez-vous vraiment activé la procédure de réinitialisation du mot de passe de l\'utilisateur ?',
                                users.currentPageNumber
                            ) }}

                            {{ macro.editButton('app_user_edit', user.id) }}
                        {% else %}
                            {{ macro.deleteButtonModal(
                                user.id,
                                'Suppression d\'un utilisateur',
                                'app_user_delete',
                                'Voulez-vous vraiment supprimer l\'utilisateur ?',
                                users.currentPageNumber
                            ) }}
                        {% endif %}

                        {{ macro.showButton('app_user_show', user.id) }}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(users) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
